package Sites;
use strict;

# Swat 2.1 
# Last updated on 12/10/97
# Copyright (c) by Chris Kight 1997
#
# Responsible for opening the sites file and loading a reference to a list
# of all sites to be indexed in that file.
# File set in config under :Indexer: as sites => sites file

sub new  {
   my $proto = shift;
   my $class = ref($proto) || $proto;
   my $self = {
	file  => shift,
	sites => [ ],
   };
   bless ($self, $class);
   $self->_get_sites;
   return $self;
}

sub _get_sites {
   my $self = shift;
   unless (open(SITES,"$self->{file}")) { die "Could not open Sites definition file ".$self->{file}."\n"; }
   my @sites = <SITES>;
   $self->{sites} = [ @sites ];
   close (SITES);
   undef @sites;
}

sub get_sites {
   my $self = shift;
   return $self->{sites};
   # Returns to the caller a ref to an array of sites to index.
}
1;
